#ifndef OmSourceDetectDialog_h
#define OmSourceDetectDialog_h
#include <qapplication.h>
#include <qdialog.h>
#include <qstring.h>
#include <qcheckbox.h>
#include "OmSourceBrowser.h"
class QSpinBox;

class OmSourceLabel;;
class OmSourceButton;
class QProcess;
class QTextEdit;
class QComboBox;
class OmSourceGroupBox;
class TTime;
class DetectionDlg : public QDialog
{
    Q_OBJECT
           
 private slots:
    void setnSigma(int value) {_nSigma = value;  };
    void setminSignificance(int value) {_minSignificance = value;  };

    void runOmdetect();    
    
    void finished();    
    void terminate(); 
    void quit() {done(OmSourceBrowser::FAILED); };
    void slotDataOnStdout();
      public:
    DetectionDlg(QWidget *parent, QString imageFile, QString sourceListFile);

    float getnSigma() { return float(_nSigma);};
    float getminSignificance() { return float(_minSignificance); }; 
    bool  getDetectExtended() { return _detectExtendedCheck->isChecked() ; }; 
 
 private:

    QString _imageFile;
    QString _sourceListFile;
 
    int _nSigma;
    int _minSignificance;
    OmSourceLabel* _label;
   
    OmSourceLabel* _label1;
    OmSourceLabel* _label2;
    OmSourceLabel* _cpuLabel;


    QSpinBox* _spinBox1;
    QSpinBox* _spinBox2;
    QCheckBox* _detectExtendedCheck;
    OmSourceButton* _terminateBtn;
    OmSourceButton* _quitBtn;
    OmSourceButton* _computeBtn;

    OmSourceGroupBox* _group;
    QProcess* _process;
    QTextEdit* _edit;
    QComboBox* _omdetectComboBox;
    bool _interupted;
    QTimer *_timer;
    QTime _cpuTime;
};
#endif

